[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Why does mkinitrd require plymouth?



why does mkinitrd require plymouth? There are different aims to adjust package 
dependencies for security or minimal installation reasons. For example:

https://fedoraproject.org/wiki/SIGs/Server

We would like to eliminate several packages from the minimal install. 

# rpm -e libpng
error: Failed dependencies:
        libpng12.so.0 is needed by (installed) 
plymouth-libs-0.6.0-0.2008.11.17.3.fc10.i386
        libpng12.so.0 is needed by (installed) 
plymouth-0.6.0-0.2008.11.17.3.fc10.i386
        libpng12.so.0(PNG12_0) is needed by (installed) 
plymouth-libs-0.6.0-0.2008.11.17.3.fc10.i386
[root dhcp-lab-116 init.d]# rpm -e plymouth
error: Failed dependencies:
        plymouth >= 0.6.0-0.2008.09.10.1 is needed by (installed) 
mkinitrd-6.0.71-3.fc10.i386

Can we have mkinitrd to optionally use plymouth? If its there, build it in to 
the initrd. Otherwise let a server boot in text mode since it doesn't have a 
video display on it?

Thanks,
-Steve


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]